org.apache.fop.complexscripts.fonts

## Class GlyphTable.ChainedClassSequenceRule

- java.lang.Object
- - org.apache.fop.complexscripts.fonts.GlyphTable.Rule
  - - org.apache.fop.complexscripts.fonts.GlyphTable.ClassSequenceRule
    - - org.apache.fop.complexscripts.fonts.GlyphTable.ChainedClassSequenceRule

Enclosing class:
  GlyphTable

    public static class GlyphTable.ChainedClassSequenceRule
    extends GlyphTable.ClassSequenceRule

The `ChainedClassSequenceRule` class implements a subclass of `ClassSequenceRule` that supports matching on a specific glyph class sequence in a specific chained contextual.

### Constructor Summary

Constructors
Constructor and Description
`ChainedClassSequenceRule(GlyphTable.RuleLookup[] lookups, int inputSequenceLength, int[] classes, int[] backtrackClasses, int[] lookaheadClasses)` Instantiate a ChainedClassSequenceRule.

### Method Summary

All Methods Instance Methods Concrete Methods
`int[]` `getBacktrackClasses()`
`int[]` `getLookaheadClasses()`
`String` `toString()`

### Methods inherited from class org.apache.fop.complexscripts.fonts.GlyphTable.ClassSequenceRule

`getClasses, getClasses`

### Methods inherited from class org.apache.fop.complexscripts.fonts.GlyphTable.Rule

`getInputSequenceLength, getLookups, resolveLookupReferences`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ChainedClassSequenceRule

    public ChainedClassSequenceRule(GlyphTable.RuleLookup[] lookups,
                                    int inputSequenceLength,
                                    int[] classes,
                                    int[] backtrackClasses,
                                    int[] lookaheadClasses)

Instantiate a ChainedClassSequenceRule.

Parameters:
  `lookups` - the rule's lookups
  `inputSequenceLength` - number of glyphs constituting input sequence (to be consumed)
  `classes` - the rule's input glyph class sequence to match, starting with second glyph in sequence
  `backtrackClasses` - the rule's backtrack glyph class sequence to match, starting with first glyph in sequence
  `lookaheadClasses` - the rule's lookahead glyph class sequence to match, starting with first glyph in sequence

### Method Detail

#### getBacktrackClasses

    public int[] getBacktrackClasses()

Returns:
  the backtrack classes

#### getLookaheadClasses

    public int[] getLookaheadClasses()

Returns:
  the lookahead classes

#### toString

    public String toString()

Overrides:
  `toString` in class `GlyphTable.ClassSequenceRule`